#-----------------------------------------------------------------------------
%{?!dist:	%define	dist	.ok}
#-----------------------------------------------------------------------------
Name		:	radvd
Version		:	2.19
Release		:	17.2.9.rel%{?dist}
Summary		:	A Router Advertisement daemon

Packager	:	Osukiss Project	<build-ok@osukiss.org>

License		:	radvd
URL		:	http://www.litech.org/radvd/

Source0		:	%{name}-%{version}.tar.gz
Source1		:	%{name}-ok_addon.tar.gz

#-----------------------------------------------------------------------------
BuildRequires	:	autoconf
BuildRequires	:	automake
BuildRequires	:	gcc
BuildRequires	:	bison
BuildRequires	:	make
BuildRequires	:	pkgconf

#-----------------------------------------------------------------------------
%description
radvd is the router advertisement daemon for IPv6.
It listens to router solicitations and sends router
advertisements as described in "Neighbor Discovery
for IP Version 6 (IPv6)" (RFC 2461). With these
advertisements hosts can automatically configure
their addresses and some other parameters.
They also can choose a default router based on
these advertisements.

#-----------------------------------------------------------------------------
%files			
%defattr(-,root,root,-)
%doc CHANGES COPYRIGHT INTRO.html README TODO
%attr(0754,root,root)%{_sysconfdir}/rc.d/init.d/%{name}
%{_sysconfdir}/%{name}/%{name}.dhcpd6
%{_sbindir}/%{name}
%{_sbindir}/%{name}ump
%{_mandir}/man5/%{name}.conf.5.gz
%{_mandir}/man8/%{name}.8.gz
%{_mandir}/man8/%{name}ump.8.gz

#after upgrade or remove
%preun
if [ "$1" = 0 ]; then
  %{_sysconfdir}/rc.d/init.d/%{name} stop > /dev/null 2>&1 || :
  %{_sbindir}/chkconfig --del %{name}
  (
  /bin/echo -n "%{name}-server-%{version} has been fully removed on "; date
  ) > %{_var}/log/README-%{name}-removed
  fi

%post
%{_sbindir}/chkconfig --add %{name} 
if [ "$1" = 1 ]; then
  #need to have sysadmin look before to be started
  %{_sbindir}/chkconfig %{name} off
  fi
%{_sysconfdir}/rc.d/init.d/%{name} condrestart > /dev/null 2>&1 || :

#=============================================================================
%prep
%setup -q
tar xvf %{SOURCE1}

#-----------------------------------------------------------------------------
#building application
%build

autoreconf -iv
./configure						\
        --prefix=%{_prefix}				\
        --includedir=%{_includedir}			\
	--exec-prefix=%{_exec_prefix}			\
	--libexecdir=%{_libexecdir}			\
        --sysconfdir=%{_sysconfdir}/%{name}		\
        --sbindir=%{_sbindir}				\
	--mandir=%{_mandir}				\
	--libdir=%{_libdir}				\
	--infodir=%{_infodir}				\
	--docdir=%{_defaultdocdir}/%{name}-%{version}	\
	--with-check					\
	--disable-silent-rules				\
	--with-pidfile=/run/%{name}/%{name}.pid

%define _smp_mflags -j%(/usr/bin/getconf _NPROCESSORS_ONLN)
%{__make} %{_smp_mflags}

#-----------------------------------------------------------------------------
%clean
%{__rm} -rf %{buildroot}

#-----------------------------------------------------------------------------
%check
%{__make} check

#-----------------------------------------------------------------------------
#installing program
%install
%{__rm} -rf %{buildroot}

%{__make}						\
	DESTDIR=%{buildroot}				\
	install

install -D -m 644					\
	%{name}-ok_addon/radvd.dhcpd6			\
	%{buildroot}%{_sysconfdir}/%{name}/radvd.dhcpd6

install -D -m 644					\
	%{name}-ok_addon/%{name}.init			\
	%{buildroot}%{_sysconfdir}/rc.d/init.d/%{name}

#-----------------------------------------------------------------------------
%changelog
